import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconSecurity = (props: IconProps) => {
    return <Icon  id="IconSecurity" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M8.77063 0.833175C8.92316 0.788661 9.08524 0.788682 9.23776 0.833235L16.5812 2.97839C16.9366 3.08221 17.1809 3.40806 17.1809 3.7783V8.17751C17.1809 13.1601 13.9922 17.5836 9.26507 19.1586C9.0941 19.2156 8.90927 19.2156 8.73829 19.1587C4.00996 17.5836 0.820312 13.1592 0.820312 8.17546V3.7783C0.820312 3.40798 1.06469 3.08208 1.42018 2.97833L8.77063 0.833175ZM2.48698 4.40319V8.17546C2.48698 12.3485 5.09941 16.0634 9.0016 17.4856C12.9027 16.0634 15.5142 12.3494 15.5142 8.17751V4.40303L9.00398 2.50127L2.48698 4.40319ZM13.6715 6.75817C13.9969 7.0836 13.9969 7.61124 13.6715 7.93668L8.77351 12.8346C8.61723 12.9909 8.40527 13.0787 8.18426 13.0787C7.96324 13.0787 7.75128 12.9909 7.595 12.8346L4.73786 9.9775C4.41242 9.65206 4.41242 9.12442 4.73786 8.79898C5.0633 8.47355 5.59093 8.47355 5.91637 8.79898L8.18426 11.0669L12.493 6.75817C12.8184 6.43273 13.346 6.43273 13.6715 6.75817Z" />
    </Icon>;
};

export default IconSecurity;
